<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="model"
            type="com.dskj.trustlend.home.MainViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="?actionBarSize"
            android:background="#F7E9FF"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingStart="@dimen/dp15"
            android:paddingEnd="@dimen/dp15">

            <ImageView
                android:id="@+id/back_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/back_imgss" />

            <TextView
                android:id="@+id/title_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="34dp"
                android:textColor="#3B306C"
                android:text="Edit Profile"
                android:textSize="24sp"
                android:textStyle="bold" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#E3CCF8">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <RelativeLayout
                    android:id="@+id/user_iv_ry"
                    android:layout_width="128dp"
                    android:layout_height="128dp"
                    android:layout_marginTop="@dimen/dp20"
                    android:layout_gravity="center_horizontal">
                    <de.hdodenhof.circleimageview.CircleImageView
                        android:id="@+id/user_head_iv"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:civ_border_width="@dimen/dp4"
                        app:civ_border_color="@color/color_f7e9ff"
                        android:src="@mipmap/default_head_img"/>

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/add_imgs1"
                        android:layout_alignParentBottom="true"
                        android:layout_alignParentRight="true"/>
                </RelativeLayout>

                <androidx.cardview.widget.CardView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginTop="@dimen/dp20"
                    android:layout_marginEnd="@dimen/dp15"
                    android:layout_marginBottom="@dimen/dp8"
                    app:cardCornerRadius="@dimen/dp10"
                    app:cardElevation="@dimen/dp5"
                    app:cardBackgroundColor="#F7E9FF"
                    app:cardMaxElevation="@dimen/dp8">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="vertical"
                        android:padding="@dimen/dp15">

                        <TextView
                            android:id="@+id/title_tv1"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textColor="#ff3B306C"
                            android:text="Full Name"
                            android:textSize="16sp" />

                        <EditText
                            android:id="@+id/title_tv2"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:enabled="false"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Full Name"
                            android:paddingStart="10dp"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Email"
                            android:textColor="#ff3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:id="@+id/email_et"
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Email"
                            android:paddingStart="10dp"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Password"
                            android:textColor="#ff3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Password"
                            android:id="@+id/password_et"
                            android:paddingStart="10dp"
                            android:inputType="textPassword"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Confirm Password"
                            android:textColor="#ff3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Confirm Password"
                            android:paddingStart="10dp"
                            android:id="@+id/password_et1"

                            android:inputType="textPassword"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp20"
                            android:text="Phone"
                            android:textColor="#ff3B306C"
                            android:textSize="16sp" />

                        <EditText
                            android:layout_width="match_parent"
                            android:layout_height="50dp"
                            android:layout_marginTop="@dimen/dp10"
                            android:background="@drawable/inputbg_tre"
                            android:hint="Phone"
                            android:id="@+id/phone_tv"
                            android:enabled="false"
                            android:paddingStart="10dp"
                            android:inputType="number"
                            android:paddingEnd="@dimen/dp10"
                            android:textColor="#3B306C"
                            android:textColorHint="#998DB6"
                            android:textSize="14sp" />
                    </LinearLayout>
                </androidx.cardview.widget.CardView>


                <Button
                    android:id="@+id/login_bt"
                    android:layout_width="match_parent"
                    android:layout_below="@id/remember_me_cb"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/dp20"
                    android:layout_marginBottom="@dimen/dp40"
                    android:text="update"
                    android:layout_marginStart="@dimen/dp15"
                    android:layout_marginEnd="@dimen/dp15"
                    android:background="@drawable/button_bg_true"
                    android:textColor="#fffdfdfd"
                    android:textSize="16sp"
                    />
            </LinearLayout>
        </androidx.core.widget.NestedScrollView>
    </LinearLayout>
</layout>
